org.apache.tools.ant.taskdefs.optional.clearcase

## Class CCUnCheckout

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
      - - org.apache.tools.ant.taskdefs.optional.clearcase.CCUnCheckout

All Implemented Interfaces:
  java.lang.Cloneable

    public class CCUnCheckout
    extends ClearCase

Performs ClearCase UnCheckout command.

The following attributes are interpreted:

Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
keepcopy | Specifies whether to keep a copy of the file with a .keep extension or not | No
failonerr | Throw an exception if the command fails. Default is true | No

### Field Summary

Fields
`static java.lang.String` `FLAG_KEEPCOPY` -keep flag -- keep a copy of the file with .keep extension
`static java.lang.String` `FLAG_RM` -rm flag -- remove the copy of the file

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`CCUnCheckout()`

### Method Summary

Methods
`void` `execute()` Executes the task.
`boolean` `getKeepCopy()` Get keepcopy flag status
`void` `setKeepCopy(boolean keep)` If true, keep a copy of the file with a .keep extension.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FLAG_KEEPCOPY

    public static final java.lang.String FLAG_KEEPCOPY

-keep flag -- keep a copy of the file with .keep extension

See Also:
  Constant Field Values

#### FLAG_RM

    public static final java.lang.String FLAG_RM

-rm flag -- remove the copy of the file

See Also:
  Constant Field Values

### Constructor Detail

#### CCUnCheckout

    public CCUnCheckout()

### Method Detail

#### execute

    public void execute()
                 throws BuildException

Executes the task.

Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the command fails and failonerr is set to true

#### setKeepCopy

    public void setKeepCopy(boolean keep)

If true, keep a copy of the file with a .keep extension.

Parameters:
  `keep` - the status to set the flag to

#### getKeepCopy

    public boolean getKeepCopy()

Get keepcopy flag status

Returns:
  boolean containing status of keep flag